//
//  Endpoint.swift
//  Notes
//
//  Created by Roman Vyjídáček on 17.04.2024.
//

import Foundation

protocol Endpoint {
    
    var path: String { get }
    var parameters: [String: String] { get }
}


enum NotesEnpoint: Endpoint {
    
    case getNotes(count: Int?)
    
    var path: String {
        return switch self {
        case .getNotes:
            "/api/notes.php"
        }
    }
    
    var parameters: [String : String] {
        return switch self {
        case .getNotes(let count):
            if let count {
                ["count": count.description]
            } else {
                [:]
            }
        }
    }
}
