//
//  NoteDomainModel.swift
//  NotesSwifUI
//
//  Created by Roman Vyjídáček on 06.04.2023.
//

import Foundation
import CoreData

struct NoteDomainModel: Identifiable {
    
    var id: Int
    var title: String
    var content: String
}

extension NoteDomainModel: InitiableFromAPIModel {
    
    init(from apiModel: NoteAPIModel) {
        self.id = apiModel.id
        self.title = apiModel.title
        self.content = apiModel.content ?? ""
    }
}
